
TYPO3.Flow - Bug # 47469

Status: Resolved Priority: Must have
Author: Robert Lemke Category: MVC
Created: 2013-04-23 Assigned To: Robert Lemke
Updated: 2013-04-23 Due date:
PHP Version: 5.4
Has patch: No
Complexity: easy
Affected Flow version: Flow 2.0.0 beta 1
Subject: ActionController issues PHP warning if it contains methods with short names
Description

If an ActionController implementation contains a method which has a name shorter than 7 characters, the new static methods for
validation building will issue a warning because they use substr() with out of bounds indexes.

Related issues:
duplicated by TYPO3.Flow - Bug # 47249: Uncaught Exception in ActionController Closed 2013-04-15

Associated revisions
Revision 54d4b684 - 2013-04-23 09:58 - Robert Lemke 

[BUGFIX] ActionController throws warning because of short method names

Fixes an issue in ActionController which caused a PHP warning if the
concrete ActionController implementation contained methods whose name
was shorter than 7 characters.

Change-Id: Iaf40d8236e08e5e6ef15bcc302db59ad513dd543
Resolves: #47469
Releases: master, 2.0

Revision 084d6075 - 2013-04-23 10:12 - Robert Lemke 

[BUGFIX] ActionController throws warning because of short method names

Fixes an issue in ActionController which caused a PHP warning if the
concrete ActionController implementation contained methods whose name
was shorter than 7 characters.

Change-Id: Iaf40d8236e08e5e6ef15bcc302db59ad513dd543
Resolves: #47469
Releases: master, 2.0

History
#1 - 2013-04-23 09:47 - Robert Lemke
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#2 - 2013-04-23 09:47 - Robert Lemke
- Category set to MVC
- PHP Version set to 5.4
- Has patch set to No
- Complexity set to easy

#3 - 2013-04-23 09:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20099

#4 - 2013-04-23 10:13 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20100

#5 - 2013-04-23 10:36 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:084d60756f361186676ee96042f38aaedf6eb4cd.
